package com.bizmatics.mhfire.model;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-11-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WaterAj implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 案件编号
     */
    private Long id;

    /**
     * 发生时间
     */
    private Date createTime;

    /**
     * 案件类型
     */
    private String ajType;

    /**
     * 所属街道
     */
    private String street;

    /**
     * 案发地址
     */
    private String address;

    /**
     * 网格
     */
    private String grid;

    /**
     * 案件描述
     */
    private String describe;

    /**
     * 责任部门
     */
    private String dutyGroup;

    /**
     * 0立案1派遣2处理3结案
     */
    private Integer ajFlag;

    /**
     * 截止时间
     */
    private Date endTime;

    /**
     * 附件
     */
    private String enclosure;

    /**
     * 图片
     */
    private String image;


}
